org.codehaus.groovy.tools.groovydoc

## Class ClasspathResourceManager

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.ClasspathResourceManager

All Implemented Interfaces:
  ResourceManager

    public class ClasspathResourceManager
    extends java.lang.Object
    implements ResourceManager

### Constructor Summary

Constructors
Constructor and Description
`ClasspathResourceManager()`
`ClasspathResourceManager(java.lang.ClassLoader classLoader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.InputStream` `getInputStream(java.lang.String resourceName)`
`java.io.Reader` `getReader(java.lang.String resourceName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClasspathResourceManager

    public ClasspathResourceManager()

#### ClasspathResourceManager

    public ClasspathResourceManager(java.lang.ClassLoader classLoader)

### Method Detail

#### getInputStream

    public java.io.InputStream getInputStream(java.lang.String resourceName)

#### getReader

    public java.io.Reader getReader(java.lang.String resourceName)
                             throws java.io.IOException

Specified by:
  `getReader` in interface `ResourceManager`
Throws:
  `java.io.IOException`